aboutsummaryrefslogtreecommitdiff
path: root/t/t0020-crlf.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t0020-crlf.sh')
-rwxr-xr-xt/t0020-crlf.sh19
1 files changed, 15 insertions, 4 deletions
diff --git a/t/t0020-crlf.sh b/t/t0020-crlf.sh
index 58a4d86df..723b29ad1 100755
--- a/t/t0020-crlf.sh
+++ b/t/t0020-crlf.sh
@@ -180,11 +180,8 @@ test_expect_success 'apply patch (autocrlf=true)' '
git repo-config core.autocrlf true &&
git read-tree --reset -u HEAD &&
- # Sore thumb
- remove_cr one >tmp && mv -f tmp one &&
-
git apply patch.file &&
- test "$patched" = "`git hash-object --stdin <one`" || {
+ test "$patched" = "`remove_cr one | git hash-object --stdin`" || {
echo "Eh? apply without index"
false
}
@@ -203,4 +200,18 @@ test_expect_success 'apply patch --cached (autocrlf=true)' '
}
'
+test_expect_success 'apply patch --index (autocrlf=true)' '
+
+ rm -f tmp one dir/two &&
+ git repo-config core.autocrlf true &&
+ git read-tree --reset -u HEAD &&
+
+ git apply --index patch.file &&
+ test "$patched" = `git rev-parse :one` &&
+ test "$patched" = "`remove_cr one | git hash-object --stdin`" || {
+ echo "Eh? apply with --index"
+ false
+ }
+'
+
test_done